Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
        GET
      • Get Room Details
        GET
      • Hide Rooms
        PATCH
      • Create Room
        POST
      • Update Room
        PATCH
      • Delete Room
        DELETE
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms

Hide Rooms

PATCH
/admin/rooms/hide/65730f559dff2b77a883212c
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/admin/rooms/hide/65730f559dff2b77a883212c' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "isToggle": "off"
}'
Response Response Example
{
    "status": true,
    "message": "ROOM_DELETED_SUCCESS",
    "data": {
        "message": "Succes! the room has been deleted successfully.",
        "data": {
            "_id": "653ce2e1f30d88892150470b",
            "name": "Test Asa Royal room",
            "type": "Family Room",
            "price": 36000,
            "location": "Akure",
            "bookedStatus": false,
            "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
            "facilities": [
                "Air Condition",
                "Ree Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "testing"
            ],
            "createdAt": "2023-10-28T10:30:57.013Z",
            "updatedAt": "2023-10-28T10:30:57.013Z",
            "__v": 0
        }
    }
}
Modified at 2026-03-12 17:03:01
Previous
Get Room Details
Next
Create Room
Built with